OpenCV: cv::cuda::BackgroundSubtractorFGD Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::cuda::BackgroundSubtractorFGD Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

The class discriminates between foreground and background pixels by building and maintaining a model of the background. More...

`#include "cudalegacy.hpp"`

Inheritance diagram for cv::cuda::BackgroundSubtractorFGD:

## Public Member Functions
virtual void | getForegroundRegions (OutputArrayOfArrays foreground_regions)=0
| Returns the output foreground regions calculated by findContours. More...
Public Member Functions inherited from cv::BackgroundSubtractor
virtual void | apply (InputArray image, OutputArray fgmask, double learningRate=-1)=0
| Computes a foreground mask. More...
virtual void | getBackgroundImage (OutputArray backgroundImage) const =0
| Computes a background image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The class discriminates between foreground and background pixels by building and maintaining a model of the background.

Any pixel which does not fit this model is then deemed to be foreground. The class implements algorithm described in [50] .

See also
  BackgroundSubtractor

## Member Function Documentation

## ◆ getForegroundRegions()

virtual void cv::cuda::BackgroundSubtractorFGD::getForegroundRegions | ( | OutputArrayOfArrays | foreground_regions | ) |
| pure virtual

Returns the output foreground regions calculated by findContours.

Parameters

  foreground_regions | Output array (CPU memory).

The documentation for this class was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy.hpp